
#import "UntitledViewController.h"

int x,y,kind;

UIImage *sougen,*mori;

@implementation UntitledViewController 

	int map[5][5] = {
	    {1,0,0,0,1},
		{1,0,0,0,1},
		{1,0,0,0,1},
		{1,0,0,0,1},
		{1,0,0,0,1}
	};

-(void)viewDidload {
	[super viewDidLoad];
	HogeView *view = [[[HogeView alloc]initWithFrame:self.view.bounds]autorelease];
	[self.view addSubview:view];
	sougen = [UIImage imageNamed:@"草原.png"];
	mori  = [UIImage imageNamed:@"森1.png"];
	
	[view setNeedsDisplay];
}

@end

@implementation HogeView

-(void)drawRect:(CGRect)rect {
	
const int maplength_i = sizeof map / sizeof map[0];
const int maplength_j = sizeof map[0] / sizeof map[0][0];
	
     for (int i = 0;i < maplength_i ; i++) {
	    for (int j = 0;j < maplength_j ; j++) {
		
			kind = map[i][j];
			
			switch (kind) {
				case 0:
					x = j * sougen.size.width;
					y = i * sougen.size.height;
					[sougen drawAtPoint:CGPointMake(x,y)];
					break;
				case 1:
					x = j * mori.size.width;
					y = i * mori.size.height;
					[mori drawAtPoint:CGPointMake(x,y)];					
					break;
				default:
					break;
			}		
		}
}
}
@end




